import QtQuick 2.0
import Sailfish.Silica 1.0
import Nemo.Configuration 1.0
import org.SfietKonstantin.patchmanager 2.0

Page {
	ConfigurationGroup {
		id: settings
		path: '/apps/sailfish-browser/readability-settings'
		property bool force
       	property bool sakura: true
       	property bool styleLine: true
       	property string styles
       	property string beforeJSScript
       	property string afterJSScript
	}
	//property bool pmTranslationLoaded: PatchManagerTranslator ? PatchManagerTranslator.installTranslator("sfos-patch-browser-readability") : false
	SilicaFlickable {
		anchors.fill: parent
		contentHeight: column.height
		Column {
			id: column
			width: parent.width
			PageHeader {
				title: "Readability"//pmTranslationLoaded ? "Readability.js" : "Update Patchmanager"
			}
			TextSwitch {
				text: qsTr("Always forcefully allow readability")
				checked: settings.force
				onCheckedChanged: settings.force = checked
			}
			TextSwitch {
				text: qsTr("Apply Sakura CSS styles")
				checked: settings.sakura
				onCheckedChanged: settings.sakura = checked
			}
			TextSwitch {
				text: qsTr("Add styles for line between content and information")
				checked: settings.styleLine
				onCheckedChanged: settings.styleLine = checked
			}
			TextArea {
				label: qsTr("Styles")
				description: qsTr("Custom CSS styles")
				text: settings.styles
				onTextChanged: settings.styles = text
				inputMethodHints: Qt.ImhNoPredictiveText | Qt.ImhNoAutoUppercase
			}
			TextArea {
				label: qsTr("JS before")
				description: qsTr("Custom JS script to run before document is modified")
				text: settings.beforeJSScript
				onTextChanged: settings.beforeJSScript = text
				inputMethodHints: Qt.ImhNoPredictiveText | Qt.ImhNoAutoUppercase
			}
			TextArea {
				label: qsTr("JS after")
				description: qsTr("Custom JS script to run after document is modified")
				text: settings.afterJSScript
				onTextChanged: settings.afterJSScript = text
				inputMethodHints: Qt.ImhNoPredictiveText | Qt.ImhNoAutoUppercase
			}
		}
	}
}
